.NET Tutorials, Forums, Interview Questions And Answers
Welcome :Guest
Sign In
Win Surprise Gifts!!!

Top 5 Contributors of the Month
Gaurav Pal
Post New Web Links

Problem when change to a new AjaxControlToolkit version.

Posted By:      Posted Date: April 10, 2011    Points: 0   Category :ASP.Net

Hello, I have a problem with a newer version of ajaxcontroltoolkit.dll. In my page I have the version 1.0.1119.0 and I change it for a newer version the 3.5 to add some new features to my page. I’m using visual studio 2010. Now the huge problem I have is that I can’t fire the server side code with a control (button, gridview, etc..). I click a button and nothing happen. In my page a have a 2 update panels with the update mode set as always. I added the buttons to the AsyncPostbackTriggers, change the asp:ScriptManager with the ToolKitScriptManager and I have the same problem. The entire problem begins when I add the new version of the ajaxcontroltoolkit.

How can I solve this?


View Complete Post

More Related Resource Links

How to solve the problem " FAILED TO LOAD udRBIctrls.ocx" Your version may be outdated??

I am getting the error message "Failed to load control 'udspinbutton'from udRBIctrls.ocx.Your version of udRBIctrls.ocxmay be outdated.Make sure you are using version of the control was that was provided with version". I have windows server 2008 64-bit o/s. I have installed my application on it. But in the application when i click few of the tabs of my applicaiton the above error message is being shown. I have searched the internet for the file , but didnt find it on the internet. Please help me to solve the problem.   

Problem with ASP.NET Ajax, Framework version 4.0 and the SeaMonkey browser...

I have a site that I'm upgrading to the 4.0 framework and I've come across an issue with asp.net ajax and the SeaMonkey browser. It seems like the script manager is not registering the scripts on the page in seamonkey (but it works fine in IE, Firefox, Chrome, Opera, and Safari). Now, if I change the user agent string in SeaMonkey to use the user agent string from any of those other browsers, it works fine. So I guess my question is does ASP.NET Ajax check the browser's user agent to determine what scripts to register and, if so, is it possible that SeaMonkey is not included in the list in the 4.0 framework (I should add that it's working fine in the 3.5 framework so it seems to me like this is a difference between the two framework versions).

change TD background/foreground color problem.

I have some javascript that is suppose to change the color of a table TD. the CSS file has an entry like this .tdcommand {} HTML TD is like <td colspan="2" height="162" valign="top" class="tdcommand"> if i put a background-color:red or whatever in the CSS file, the color is shown correctly. If i change it via a script it doesnt seem to have any impact. using the alert() to post info, i've found its entering my function correctly and getting the correct info. the important part of the function is thisfor (var i = 0; i < document.styleSheets[0][CSSRules].length; i++) { if (document.styleSheets[0][CSSRules][i].selectorText == obj) { document.styleSheets[0][CSSRules][i].style[prop] = color document.getElementById("opt_" + option).innerHTML = "'" + color + "'" } }   as i said, using the alert() i can validate that its finding the class ok (obj = .tdcommand) and the property is correct (background-color) and the innerHTML update is working fine. I use this same function to set other things, such as text color and highlighting of span's without any problem. what am i missing?   Justin

vb.net - change version information

I'm using .net 2005 I would like to edit the Version Information of File Version,Description,Copyright,Company, Product Version Can i able to do it? where and how to set up ?    

Problem Installing .Net Framework Version 4.0

I am trying to install .net 4 on my Vista business machine SP2. It however continually fails with "class not registered" error. No matter what i try and do i cannot get it to install. Has anyone come across this error before, was there a resolution? I need this to be able to install VS2010 on my machine.   Thankyou

Bugs in most Updated version of AjaxControlToolKit???

Hi everybody, I have an ASP.NET AJAX application, which is using .NET Framework 3.5. I have  visual Studio 2008 installed on my developer machine. The AjaxControlToolKit dlls I have installed in my system right now come from the file "AspNetAjaxLibraryBeta0911.zip". The released date of the dlls in the file is 12/29/2009. Exploring the AjaxControlToolKit download site, I found that there is a more updated version, which release date was April 12th 2010. I tried to update the AjaxControlKit.dll version to the newest one. I did this creating a path in my system: c:\Program Files\AjaxControlToolKit\WebForms\Release\ then I placed there the new AjaxControlToolKit.dll and AjaxControlToolKit.pdb files. Then I right clicked on the name of the dll inside my Bin directory in my application and selected "Update Reference". After I did this I tested the application and is giving me Jscript error messages like: "htmlfile: member not found", or Microsoft Jscript Runtime error "lenth is null or not an object". I don't get these error messages if I come back to the previous version of the AjaxControlToolKit. Can any body give me an advice on this? It doesn't make sense to me as the new version of the AjaxControlToolKit is supposed to be better in terms of fixing the bugs of a previous Beta dlls. Thanks a lot,   Al              

Restore problem with version '' on sharepoint foundation pls help !!!


Your backup is from a different version of Microsoft SharePoint Foundation and cannot be restored to a server running the current version. Tht Foundation and cannot be restored to a server running the current version. Tht Foundation and

Restore problem with version '' on sharepoint foundation pls help !!!

Your backup is from a different version of Microsoft SharePoint Foundation and cannot be restored to a server running the current version. Tht Foundation and cannot be restored to a server running the current version. Tht Foundation and cannot be restored to a server running the current version.
The backup file should be restored to a server with version '' or later

Am getting the above error while trying to restore the backup of a sitecollection developed on development server to another development server .
Kindly let me know where am doing wrong using Sharepoint managementShell with foll. cmdlet,
(Restore-SPSite -Identity URL -Path C:\....\.bak -force)
Thanks in advance !!!!

Problem with ajaxtoolkit version 4


Dear friends ,

  I was working on an asp.net 3.5 website and used ajaxtoolkit in it and when I use it in my page it was registered as below

<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="cc1" %>

and it was working well even After I upgraded my wevbsite to .net version 4

but when I started a new website from scratch in vs2010 using .net4 when I use ajax toolkit in this new site it is registered as folowing

<%@ Register assembly="AjaxControlToolkit" namespace="AjaxControlToolkit" tagprefix="asp" %>

and when I run the page I get the error

The Controls collection cannot be modified because the control contains code blocks (i.e. <% ... %>)

I don't Know what is the reason for this

I noticed another thing

in my old website I was using thckbox script by using the files

common.js, jquery-1.3.2.js,jquery.thickbox.js

and puting them in a Javascript folder ad then registering them in Script manager as following

<asp:ScriptManager ID="ScriptManager1" runat="server">
            <asp:ScriptReference Path="~/Javascrip

Error while adding reference to latest version of AjaxControlToolkit


HI All,

I am a bit new to ASP.Net Ajax and as such new to Ajax itself. I have a site which uses ASP.Net Ajax.  It used the version AjaxControlToolkit version 3.0.30512.0. I have now changed it to version 3.5.40412.2 by deleting the old reference and adding a reference to the latest one . I build the soultion and everything appears fine witjhout any errors. But the site fails to load showing a yellow page with the message AjaxControlToolkit Version="3.5.40412.2" missing reference to 'AjaxControlToolkit.ExtenderBase.Base Scripts.js.BaseScripts.js'. What does this mean ?

Web Service .Net version change V2 to 3.5 Generates CS0234 Error



I have just started work on a stable web service project that was written entirely in .Net V2.

Recent modifications have required that I change it to use LINQ Entity based business layer which required me to up the .Net version to 3.5 to match that of the dependancy. The project compiles fine but when I run the project it falls over at any reference to the actual service code.

It currently falls over when processing the web.config file on the line:

		<profile defaultProvider="AspNetSqlProfileProvider" enabled="true" inherits="MCM.MCMWebService.PurchaseOrderWS.Helper_Classes.UserProfile">

which declares where I have a code based override of the profile provider. If I comment this line out it then falls over when running Global.asax so the comm

Problem with referencing Excel version


Apologies if this is in the wrong place and needs to be moved.

I've built a small application which takes in Excel data, manipulates it and creates a workbook with charts. The PC I first built it on has Excel 2003, 2007 and 2010 installed and I referenced the Microsoft.Office.Interop.Excel (version 11.0) dll. When I transferred to a client's PC which had only Excel 2003, I got a compile error and had to redo the reference to Excel. When I transferred again to another of the client's PCs which had only Excel 2007 installed, it again threw a compile error and I had to reference the version 12.0 Excel object library. Naturally, going back, this version didn't work on the PC with only Excel 2003 installed.

Is there a way round this, other than to build separate versions of the application for each version of Excel? Thanks in advance for any help.

SQL2008R2 trail version setup problem need help



I am a student who has his first experence with SQL design and programing starting this week.  I am trying to install the trail version of MS SQL 2008R2 enterprise from the MS site.  I am using a laptop with Vista Ultimate on it.  It is an ACPI X86 machine with an Intel Core™2 CPU T7200 @ 2.00GHZ.  It has plenty of hard drive space and I am running 8GB of paired RAM.

The download was fine and I produced a disk for installation.  The config analysis show everything fine except I needed to reboot my laptop.  I have repeated rebooted my laptop, I have turned off programs that comeup as part of the startup.  However, ever time the setup is is stalled by the config analysis and requires a restart.  No error messages appear any place, only the note showing restart required.

I attempted to download to download the X86 executable and when excted in loaded SQL 2005.  That will not work for my class as the instructor may a point that there are changes that he will be covering and asking about specific to SQL2008R2.  So I uninstalled the 2005 version.&n

Resetting Change Tracking Version


Hello, Is there a way in which we can reset the current version? When we disable Change Tracking at table and DB level current version function returns NULL, but on turning it back on it gives back the last number. Is there a way to reset it back to zero? Thanks in advance!!!

<br/> SELECT CHANGE_TRACKING_CURRENT_VERSION() is the function in context

Sys.Extended is Undefined after upgrading to newest version of AjaxControlToolkit



I just recently updated to the latest version of the AjaxControlToolkit and now my TabContainers don't work (only thing i'm using the toolkit for). It looks like the client code to make the correct tab visible is never getting called. The error I'm getting with Firefox is "Sys.Extended is undefined", and with IE I get "'Sys.Extended.UI' is null or not an object".

I'm using the .NET framework 3.5

1). I already changed all the ScriptManagers in my project to ToolkitScriptManagers per a javascript error message I was getting earlier.
2). I already checked my web.config and it looks good:


Change document version number via database


Hi all,

I was blocked by an issue of document version number. The customer wants to move a document from one document library to another. After the document is moved, version number should be kept the same and metadata values of each version should also be kept.

File.MoveTo(string newUrl) method can move file and keep the same version number but lose the metadata in previous versions. Only the latest version has metadata values. Also this method cannot move file cross site collections.


Following is my solution:

1. Upload all the versions along with metadata to the new location and then delete the old file.

2. Update document version number in database directly.

Finally the solution works well, but I don't know if step2 will impact any other default logic in SharePoint system. Below is the logic to update version number.

            SqlConnection cn = new SqlConnection(connStr);
            SqlCommand cmd;
            string cmdTxt;


            cmd = cn.CreateCommand();

Version Problem in Migration of database from MOSS2007 to SP 2010


I am trying to migrate content database from MOSS 2007 to SharePoint 2010, but i have problem that-

Can not upgrade object [SPContentDatabase Name = " <name o0f DB>"] whose build version [] is older than [] minimal supported version Microsoft.SharePoint.Upgrade.SPContentDatabaseSequence.

please help me to solve this problem


ASP.NetWindows Application  .NET Framework  C#  VB.Net  ADO.Net  
Sql Server  SharePoint  Silverlight  Others  All   

Hall of Fame    Twitter   Terms of Service    Privacy Policy    Contact Us    Archives   Tell A Friend